View Poll Results: webos 2.0 - your (legacy) device, your opinion, your decision

Voters
28. You may not vote on this poll
  • i am already on a pre2 and webos 2.0

    3 10.71%
  • i understand my device is too old, so i will stay with 1.4 or buy myself a new webos 2.0 device

    15 53.57%
  • webos 2.0 was one of the reasons i bought my device, i feel betrayed but will stay with webos

    4 14.29%
  • webos 2.0 was one of the reasons i bought my device, i feel betrayed and leave webos behind

    6 21.43%
Results 1 to 7 of 7
  1.    #1  
    the whole webos 2 for legacy devices (i call it legacy because legacy doesnt really mean old but maybe too not-young viewed from a certain new point of view) issue is pretty much represented by that evil thread

    http://forums.precentral.net/general...es-thread.html

    but i think a poll could show better interesting facts as numbers.
  2. #2  
    voted pre 2 with 2.0

    But I have additional devices and I even talked some friends into Pre devices because webOS 2.x was about to come.

    So I would also vote for the last two ones if I could.
  3. #3  
    You missed an option. I may not have bought my launch day pre for 2.0 but I did expect it to continue to be supported at least until the end of my 18 month contract (I feel for those stuck on a 24 month contract, at least mine comes up in April).

    I will stay with 1.45 as I have no other choice (for a few months anyway) but I am ****ed off that I cannot use any newer apps or any of the new features we were promised since last autumn.

    That said, I really like the look of the pre3 and I will probably end up getting one but I worry that I may struggle to find a carrier for it here in the UK.

    When my pre power button failed a few months ago and I had to send it off for repair I was able to switch over to my old Treo680 and found that, not only did it still work well but there were a bunch of new apps that made things even better. I feel sad that the same will now never be true for my Pre and I won't be able to pass it on to someone else either since it will be all but useless in a few months (incompatible with the latest versions of all the apps).
  4. ToddK's Avatar
    Posts
    666 Posts
    Global Posts
    905 Global Posts
    #4  
    I wasn't planning to upgrade my Pre to 2.0 anyway, (would miss 4x5 icons too much), But, my Palm Pre served me well, (it's the second phone I've ever had MORE than a year, the other was the Palm 650), but, sadly the old Pre is showing it's age and is starting to develop some problems,

    The Pre 3 and webOS 2.xx is the perfect replacement. (bigger screen, keyboard, video calling, voice commands, etc)

    I may even buy the Pre it's very own charger and retire it on the guest room nightstand and use it as a clock/mp3 player...

    I understand there are a lot of unhappy kids out there, but once they settle down and move on, things will improve around here.

    I'm looking forward to Summer. ;-)

    ...and a TouchPad WILL be sitting on the desk as soon as it becomes available... ;-)
  5.    #5  
    Quote Originally Posted by andyhurley View Post
    You missed an option. I may not have bought my launch day pre for 2.0 but I did expect it to continue to be supported at least until the end of my 18 month contract (I feel for those stuck on a 24 month contract, at least mine comes up in April).
    yes i know and i was thinking about it quite long. the thing i want to point out is the separation between the group that will miss the promised update which is sad (only) and the group that definitely have been buying a soon-webos-2-labeled-device which is considered betrayal.

    i myself am very upset about the fact that i was looking forward to it for a long time and that i cannot have it now. but apart from the bad smell of it all i can handle it.
  6.    #6  
    errh why was this poll moved to cdma north america?!?

    i understand that most people consider this as a sprint problem, but in fact it isnt. there are pre/pre plus users all over the world into the issue. i dont believe this is a technical cdma specific thing. my own pre is a german gsm one...
  7. SteveM626's Avatar
    Posts
    50 Posts
    Global Posts
    63 Global Posts
    #7  
    I voted for staying on 1.4 for now and buying a 2.0 device when they come out. I might go slumming on an epic until this summer just to get a change

Tags for this Thread

Posting Permissions